Bug 11765 - perl threads are not implemented
perl threads are not implemented
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-30 13:56 EDT by Joe Acosta
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-30 13:56:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 2000-05-30 13:56:16 EDT
Perl 5.005 has inclusion of a new perl module called Threads.  However the
build of perl does not include this new feature even though the the OS is
thread safe (glibc2.1).  The bug is that you can still do man Thread and
come up with the man page on perl threads, but you cannot use Thread; in a
perl program.  Either the man page should not be included or Perl should be
built to allow for the use of this module.  (Personally I'd go for building
threads into perl)
Comment 1 Nalin Dahyabhai 2000-08-03 07:45:00 EDT
We've looked at the threads issue, and building perl with -Duse_threads would
require rebuilding every perl module we ship.
Comment 2 Joe Acosta 2000-08-03 23:22:08 EDT
If guess you have alot of work cut out for you :-O.  My suggestion would then be
to remove the man page for perl Threads.  Personally I think that it would be
worth it to recompile every perl module you have.  It could easily be done in a
script to automate the build.  The difficult part would be taking the perl
modules and editing all the spec files.

Note You need to log in before you can comment on or make changes to this bug.